<?php
class tabsl_order extends tabsl_order_parent
{
    /**
     * 
     * Boolean of option "blConfirmWideruf" error
     * @var bool
     */
    protected $_blConfirmWiderufError = null;    
    
    /**
     * Checks for order rules confirmation ("ord_agb", "ord_custinfo" form values)(if no
     * rules agreed - returns to order view), loads basket contents (plus applied
     * price/amount discount if available - checks for stock, checks user data (if no
     * data is set - returns to user login page). Stores order info to database
     * (oxorder::finalizeOrder()). According to sum for items automatically assigns user to
     * special user group ( oxuser::onOrderExecute(); if this option is not disabled in
     * admin). Finally you will be redirected to next page (order::_getNextStep()).
     *
     * @return string
     */
    public function execute()
    {
        if (!$this->getSession()->checkSessionChallenge()) {
            return;
        }

        // tabsl START
        if ( !oxConfig::getParameter( 'ord_wideruf' ) ) {
            $this->_blConfirmWiderufError = 1;
			return;
        }
        // tabsl END
        
        return parent::execute();
    }
    
    /**
     * Template variable getter. Returns if option "blConfirmWideruf" was not set
     *
     * @return bool
     */
    public function isConfirmWiderufError()
    {
        return $this->_blConfirmWiderufError;
    } 
    
}